/*
 * 5799-WZQ (C) COPYRIGHT IBM CORPORATION 1986
 * LICENSED MATERIALS - PROPERTY OF IBM
 * REFER TO COPYRIGHT INSTRUCTIONS FORM NUMBER G120-2083
 */
 # $Header:vfork.c 12.0$
 # $ACIS:vfork.c 12.0$
 # $Source: /ibm/acis/usr/src/lib/libc/ca/sys/RCS/vfork.c,v $
#include "SYS.h"
SYSCODE(vfork) 
	SVC(vfork)
	btb	syserror
	cis	r0,0	/* r0 == 0 in parent, 1 in child */
	ber	r15
	brx	r15
	lis	r2,0
syserror:
	get	r5,$_errno
	sts	r2,0(r5)	#update error number
	get	r2,$-1
	br	r15	#return to caller
	TTNOFRM
